Bug 467426 - [LTC 6.0 FEAT] 201166:Support IPv6 boot/install through yaboot
[LTC 6.0 FEAT] 201166:Support IPv6 boot/install through yaboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
rawhide
ppc64 All
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On: 463597
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 08:31 EDT by Roman Rakus
Modified: 2014-01-12 19:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-28 04:54:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2008-10-17 08:31:35 EDT
+++ This bug was initially created as a clone of Bug #463597 +++

=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:04 EDT
1. Feature Overview:
Feature Id:	[201166]
a. Name of Feature:	Support IPv6 boot/install through yaboot
b. Feature Description
Add the IPv6 capability to yaboot.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Installer: Yes
Delivery Mechanism: Direct from community
Category:	Device Drivers and IO
Request Type:	Other
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	Code submitted to yaboot community this week.

3. Business Case
The IPv6 boot/install capability is required on all platforms by mid-2008 for government business.

Benefits
This is to enable the IPv6 full support with Linux on Power systems. This capability is required by
all system sold to government by mid-2008.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Daisy Chang, daisyc@us.ibm.com
Chandra Seetharaman, chandra.seetharaman@us.ibm.com

IBM Manager:
Wendel Voigt, wvoigt@us.ibm.com

--- Additional comment from notting@redhat.com on 2008-10-02 16:16:49 EDT ---

Placing in NEEDINFO pending upstream code acceptance and release.

--- Additional comment from bugproxy@us.ibm.com on 2008-10-08 15:20:45 EDT ---

Patches posted to yaboot-dev mailing list on Sep-15:
http://www.nabble.com/-PATCH-0-4--yaboot-tftp-boot-extensions-and-ipv6-support-to19503401.html

--- Additional comment from bugproxy@us.ibm.com on 2008-10-17 08:15:38 EDT ---

Hello RedHat,

Just wondering about the deadline.

i.e By when this feature has to be available in mainline yaboot to be accepted for RHEL 6 ?

Thanks
Comment 1 Roman Rakus 2010-01-28 04:54:56 EST
Already done

Note You need to log in before you can comment on or make changes to this bug.